---
title: FileSystemDirectoryHandle.values()
slug: Web/API/FileSystemDirectoryHandle/values
tags:
  - Directory
  - File
  - File System Access API
  - FileSystemDirectoryHandle
  - Iterable
  - Method
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("File System Access API")}}</div>

<p class="summary">The <strong><code>values()</code></strong> method of the {{domxref("FileSystemDirectoryHandle")}} interface returns a new Array Iterator containing the values for each index in the <code>FileSystemDirectoryHandle</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">FileSystemDirectoryHandle.values();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref('Array')}}</p>

<h2 id="Examples">Examples</h2>

<p>Todo</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('File System Access API','#dom-filesystemdirectoryhandle-resolve','values')}}</td>
   <td>{{Spec2('File System Access API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemDirectoryHandle.values")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/docs/Web/API/File_System_Access_API">File System Access API</a></li>
 <li><a href="https://web.dev/file-system-access/">The File System Access API: simplifying access to local files</a></li>
</ul>
